<template>
  <div>
    <v-timeline class="pa-3">
    <v-timeline-item
      v-for="(achievement, i) in achievementStore.achievements"
      :key="i"
      :color="colors[i % colors.length]"
      small
    >
      <template v-slot:opposite>
        <span
          :class="`headline font-weight-bold ${colors[i % colors.length]}--text`"
          v-text="achievement.date"
        ></span>
      </template>
      <div class="py-4">
        <h2 :class="`headline font-weight-light mb-4 ${colors[i % colors.length]}--text`">{{ achievement.title }}</h2>
        <div>
          {{ achievement.description }}
        </div>
      </div>
    </v-timeline-item>
  </v-timeline>
  </div>
</template>

<script lang="ts">
import Vue from 'vue';
import { Component, Prop } from 'vue-property-decorator';
import { getModule } from 'vuex-module-decorators';
import AchievementModule from '@/store/modules/achievements';
import UserModule from '../store/modules/users';

@Component
export default class Achievements extends Vue {
  public achievementStore: AchievementModule = getModule(AchievementModule, this.$store);
  public userStore: UserModule = getModule(UserModule, this.$store);

  public colors = ['cyan', 'green', 'pink', 'yellow'];
}
</script>
